OTBGUI_CONVERT(1)

NAME
otbgui_Convert - OTB Convert application

DESCRIPTION
This is the Convert application, version 5.2.0 Convert an image to a different format, eventually rescaling the data and/or changing the pixel type.

Complete documentation: http://www.orfeo-toolbox.org/Applications/Convert.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input image (mandatory)

-type
    <string> Rescale type [none/linear/log2] (mandatory, default value is none)

-type.linear.gamma <float>
    Gamma correction factor (optional, on by default, default value is 1)

-mask
    <string> Input mask (optional, off by default)

-hcp.high
    <float> High Cut Quantile (optional, off by default, default value is 2)

-hcp.low
    <float> Low Cut Quantile (optional, off by default, default value is 2)

 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_Convert -in QB_Toulouse_Ortho_XS.tif -out otbConvertWithScalingOutput.png uint8 -type linear

SEE ALSO
The full documentation for otbgui_Convert is maintained as a Texinfo manual. If the info and otbgui_Convert programs are properly installed at your site, the command

    info otbgui_Convert

should give you access to the complete manual.